package com.cooleshow.teacher.contract;

import com.cooleshow.base.presenter.view.BaseView;
import com.cooleshow.teacher.bean.SparringCourseCommentBean;
import com.cooleshow.teacher.bean.SparringCourseHomeworkBean;
import com.cooleshow.teacher.bean.SparringCourseListBean;

/**
 * Author by pq, Date on 2022/4/20.
 */
public interface SparringCourseDetailContract {

    interface SparringCourseDetailView extends BaseView {
        void getSparringCourseHomeworkSuccess(SparringCourseHomeworkBean homeworkBean);

        void getSparringCourseHomeworkError();

        void getSparringCourseCommentSuccess(SparringCourseCommentBean commentBean);

        void getSparringCourseCommentError();

        void submitSparringCourseTeacherCommentSuccess();
        void submitSparringCourseHomeworkSuccess();
        void submitSparringCourseHomeworkCommentSuccess();
    }

    interface Presenter {
        void getSparringCourseHomework(String courseId,String studentId);

        void getSparringCourseComment(String courseScheduleId, String courseGroupId, String studentId);

        void submitSparringCourseComment(String commentContent, String courseScheduleId, String courseGroupId, String studentId);

        void submitSparringCourseHomework(String commentContent, String courseScheduleId);

        void submitSparringCourseHomeworkComment(String commentContent, String courseScheduleId,String studentId);
    }
}
